# Paramètre de type "texte"

Déclarons un paramètre avec une string :

```
<param type="string">no</param>
```

C'est le type par défaut pour un paramètre.

# Paramètre de type "nombre"

Déclarons un paramètre avec un nombre :

```
<param type="number">1</param>
```

Créons la fonction correspondante :

```
def return_value_with_number(value):
    if value == 1:
        return 'no'
    return 'yes'
```

La variable aura donc "no" comme valeur puisque le paramètre aura la valeur fixe "1".

# Paramètre de type "booléen"

Déclarons un paramètre avec un booléen :

```
<param type="boolean">True</param>
```

# Paramètre de type "nil"

Le paramètre peut être une valeur null (None en python) :

```
<param type="nil"/>
```

# Paramètre de type "space"

Les paramètres sont chargés en supprimer les espaces en début ou fin de chaîne. Ce qui rend impossible d'avoir un paramètre " ". Avec le type "space", le paramètre sera donc un simple espace :

```
<param type="space"/>
```
